import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:wordguessing/cubit/game_cubit.dart';
import 'package:wordguessing/models/game/game.dart';

class PickImageGameWordContainer extends StatelessWidget {
  const PickImageGameWordContainer({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return Container(
          decoration: BoxDecoration(
            color: Colors.blue.shade800,
            borderRadius: BorderRadius.circular(6),
            border: Border.all(
              color: Colors.white,
              width: 6,
            ),
          ),
          child: Padding(
            padding: const EdgeInsets.all(12),
            child: Text(
              currentGame.word.text,
              style: const TextStyle(
                fontSize: 30,
                fontWeight: FontWeight.w600,
                color: Colors.white,
              ),
            ),
          ),
        );
      },
    );
  }
}
